Get the project's current validation state
GET
/api/v1/projects/{projectId}/schema/validation-state
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/validation-state';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/schema/validation-stateWhether the project is in a validated state right now, and how much configuration has drifted since the validated baseline.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
object
validatedBaselineVersionId
string | null
validatedVersionNumber
integer | null format: int32
currentVersionNumber
integer | null format: int32
isValidatedNow
required
boolean
driftChangeCount
required
integer format: int32